## Index

### Interfaces

- ICLUEWrapper

### Functions

- enableKeyboardShortcuts
- handleMagicHashElements
- injectHeadlessSupport
- injectParentWindowSupport
- triggeredByInputField
- useInMemoryGraph

## Functions

### enableKeyboardShortcuts

- enableKeyboardShortcuts(graph: ProvenanceGraph): void

- - Defined in internal.ts:105

  enables keyboard shortcuts to undo and change mode

  #### Parameters

  - ##### graph: ProvenanceGraph

  #### Returns void

### handleMagicHashElements

- handleMagicHashElements(body: HTMLElement, manager: ICLUEWrapper): void

- - Defined in internal.ts:74

  #### Parameters

  - ##### body: HTMLElement

  - ##### manager: ICLUEWrapper

  #### Returns void

### injectHeadlessSupport

- injectHeadlessSupport(wrapper: ICLUEWrapper): void

- - Defined in internal.ts:21

  injection for headless support

  #### Parameters

  - ##### wrapper: ICLUEWrapper

  #### Returns void

### injectParentWindowSupport

- injectParentWindowSupport(wrapper: ICLUEWrapper): void

- - Defined in internal.ts:34

  #### Parameters

  - ##### wrapper: ICLUEWrapper

  #### Returns void

### triggeredByInputField

- triggeredByInputField(evt: KeyboardEvent): any

- - Defined in internal.ts:93

  #### Parameters

  - ##### evt: KeyboardEvent

  #### Returns any

### useInMemoryGraph

- useInMemoryGraph(): boolean

- - Defined in internal.ts:89

  #### Returns boolean

Generated using TypeDoc